	.text
	.globl	&mFNAME
&mFNAME:
	pushq	%rbp
	movq	%rsp,%rbp
	pushq	%rdi
	pushq	%rsi
	pushq	%rdx
	pushq	%rcx
	pushq	%r8
	pushq	%r9
	movq	D.&mFNAME@GOTPCREL(%rip),%rcx
	movq	(%rcx),%rax
	cmpq	$0,%rax
	jne	1f
	movq	L.&mFNAME@GOTPCREL(%rip),%rdi
	movq	S.&mFNAME@GOTPCREL(%rip),%rsi
	movq	&mFNAME@GOTPCREL(%rip),%rdx
	movq	$&mFflag,%r8
	call	_mFdynload@PLT
1:
	popq	%r9
	popq	%r8
	popq	%rcx
	popq	%rdx
	popq	%rsi
	popq	%rdi
	popq	%rbp
	jmp	*%rax
	.data
D.&mFNAME:
	.quad	0
S.&mFNAME:
	.string		"&mFNAME"
L.&mFNAME:
	.string		"&mFNAM2"
